when = ['5秒前', '3000 年後', '空に虹が出たとき', 'おこられた後で']
where = ['教室の中で', ' 富士山のてっぺんで',\
         '海底洞窟で', '4DX の映画館で']
who = ['ニュートンとネコが', ' 緑色の宇宙人が', \
       'ゾウの赤ちゃんが', ' やせたおすもうさんが']
what = ['タバスコ入りのチョコレートを', ' ゲーム機を', \
        '白いカラスを', 'PC を']
why = ['お腹がいっぱいだったから', ' 寝不足だったから', \
       'とってもうれしかったから', ' なんとなく']
did = [' 笑い転げた。', ' 投げ上げた。', \
       'ポケットにしまった。', '1 億円で売った。']
import random
while True:
      print(random.choice(who), \
            random.choice(when), \
            random.choice(where),\
            random.choice(why), \
            random.choice(what), \
            random.choice(did))
      x = input('やめるときはｚのキーを押して、\
続けるときはほかのキーを押してね：')
      if x == 'z':
            break
      else:
            continue
